<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\HasOne;


class ReceiptDetail extends AbstractModel
{
    protected $table = 'receipt_detail';

    public function transaction(): HasOne
    {
        return $this->hasOne(Transaction::class, 'transaction_id', 'id');
    }
    
    public function receipt(): HasOne
    {
        return $this->hasOne(Receipt::class, 'receipt_id', 'id');
    }

}
